/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "../../../../../../styles/openk.styles";

:host {
  display: flex;
  flex-flow: column;
  width: 100%;
  position: relative;
  overflow: auto;
  box-sizing: border-box;
  border: 1px solid $openk-form-border;
  border-radius: 4px;
  background: $openk-background-card;
  padding-bottom: 2px;
}

.openk-table---last-row-without-border:host {
  padding-bottom: 0;
}

.table-column {
  vertical-align: baseline;
  text-align: start;
}

.list--element--icon {
  width: initial;
  height: initial;
  font-size: 0.5em;
  margin-right: 1em;
}

.list--element---bold {
  font-weight: 600;
  margin-right: 0.25em;
}
